Package oracle.sql.json

## Class OracleJsonException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - oracle.sql.json.OracleJsonException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `OracleJsonGenerationException`, `OracleJsonParsingException`

    public class OracleJsonException
    extends java.lang.RuntimeException

Indicates that a problem occurred during JSON processing.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`OracleJsonException​(java.lang.String message)` Constructs a new exception with the specified message.
`OracleJsonException​(java.lang.String message, java.lang.Throwable cause)` Constructs a new exception with the specified message and cause.
`OracleJsonException​(java.lang.Throwable cause)` Constructs a new exception with the specified cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OracleJsonException

    public OracleJsonException​(java.lang.Throwable cause)

Constructs a new exception with the specified cause.

#### OracleJsonException

    public OracleJsonException​(java.lang.String message)

Constructs a new exception with the specified message.

Parameters:
  `message` - the detail message.

#### OracleJsonException

    public OracleJsonException​(java.lang.String message,
                               java.lang.Throwable cause)

Constructs a new exception with the specified message and cause.

Parameters:
  `message` - the detail message
  `cause` - the cause